library(ggplot2)

whale <- read.csv("whale_time.csv",header = TRUE)

# plot scatterplot of Log TL
ggplot(whale, aes(x=logTL, y=Age, shape=Group, colour=Hemisphere)) + geom_point() +scale_y_reverse() + xlab("Log10 Total Body Length (cm)") + ylab("Age (Ma)")

#Plot scatterplot of TL
ggplot(whale, aes(x=Age, y=TL, shape=Group, colour=Hemisphere)) + geom_point() +scale_x_reverse() + xlab("Total Body Length (cm)") + ylab("Age (Ma)")


whale2 <- read.csv("whale_generational-space.csv",header = TRUE)

# plot scatterplot of Log TL
ggplot(whale2, aes(x=LogTLm, y=Age, shape=Group, colour=Hemisphere)) + geom_point() +scale_y_reverse() + xlab("Log10 Total Body Length (m)") + ylab("Age (Ma)")

#Plot scatterplot of TL
ggplot(whale2, aes(x=Age, y=TLm, shape=Group, colour=Hemisphere)) + geom_point() + geom_line(aes(colour=Hemisphere)) + geom_smooth(aes(group=Hemisphere)) + scale_x_reverse() + xlab("Age (Ma)") + ylab("Total Body Length (m)")

#plot Generational Space
ggplot(whale2, aes(x=GS, y=Age, shape=Group, colour=Hemisphere)) + geom_point() +scale_y_reverse() + xlab("Mass scaled for generation time (kg?)") + ylab("Age (Ma)")


# Change point shapes and colors
#ggplot(mtcars, aes(x=wt, y=mpg, shape=cyl, color=cyl)) + geom_point()
# Change point shapes, colors and sizes
#ggplot(mtcars, aes(x=wt, y=mpg, shape=cyl, color=cyl, size=cyl)) + geom_point()